/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CountOpenWorkflowExecutionsInput } from "../types/CountOpenWorkflowExecutionsInput";
import { CountOpenWorkflowExecutionsOutput } from "../types/CountOpenWorkflowExecutionsOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/CountOpenWorkflowExecutionsInput";
export * from "../types/CountOpenWorkflowExecutionsOutput";
export * from "../types/CountOpenWorkflowExecutionsExceptionsUnion";
export declare class CountOpenWorkflowExecutionsCommand implements __aws_sdk_types.Command<InputTypesUnion, CountOpenWorkflowExecutionsInput, OutputTypesUnion, CountOpenWorkflowExecutionsOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: CountOpenWorkflowExecutionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CountOpenWorkflowExecutionsInput, CountOpenWorkflowExecutionsOutput, _stream.Readable>;
    constructor(input: CountOpenWorkflowExecutionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<CountOpenWorkflowExecutionsInput, CountOpenWorkflowExecutionsOutput>;
}
