/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CountPendingDecisionTasksInput } from "../types/CountPendingDecisionTasksInput";
import { CountPendingDecisionTasksOutput } from "../types/CountPendingDecisionTasksOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/CountPendingDecisionTasksInput";
export * from "../types/CountPendingDecisionTasksOutput";
export * from "../types/CountPendingDecisionTasksExceptionsUnion";
export declare class CountPendingDecisionTasksCommand implements __aws_sdk_types.Command<InputTypesUnion, CountPendingDecisionTasksInput, OutputTypesUnion, CountPendingDecisionTasksOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: CountPendingDecisionTasksInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CountPendingDecisionTasksInput, CountPendingDecisionTasksOutput, _stream.Readable>;
    constructor(input: CountPendingDecisionTasksInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<CountPendingDecisionTasksInput, CountPendingDecisionTasksOutput>;
}
