/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeprecateWorkflowTypeInput } from "../types/DeprecateWorkflowTypeInput";
import { DeprecateWorkflowTypeOutput } from "../types/DeprecateWorkflowTypeOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/DeprecateWorkflowTypeInput";
export * from "../types/DeprecateWorkflowTypeOutput";
export * from "../types/DeprecateWorkflowTypeExceptionsUnion";
export declare class DeprecateWorkflowTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, DeprecateWorkflowTypeInput, OutputTypesUnion, DeprecateWorkflowTypeOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: DeprecateWorkflowTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeprecateWorkflowTypeInput, DeprecateWorkflowTypeOutput, _stream.Readable>;
    constructor(input: DeprecateWorkflowTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<DeprecateWorkflowTypeInput, DeprecateWorkflowTypeOutput>;
}
