"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeActivityType_1 = require("../model/operations/DescribeActivityType");
var DescribeActivityTypeCommand = /** @class */ (function () {
    function DescribeActivityTypeCommand(input) {
        this.input = input;
        this.model = DescribeActivityType_1.DescribeActivityType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeActivityTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeActivityTypeCommand;
}());
exports.DescribeActivityTypeCommand = DescribeActivityTypeCommand;
//# sourceMappingURL=DescribeActivityTypeCommand.js.map