/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeWorkflowTypeInput } from "../types/DescribeWorkflowTypeInput";
import { DescribeWorkflowTypeOutput } from "../types/DescribeWorkflowTypeOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/DescribeWorkflowTypeInput";
export * from "../types/DescribeWorkflowTypeOutput";
export * from "../types/DescribeWorkflowTypeExceptionsUnion";
export declare class DescribeWorkflowTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeWorkflowTypeInput, OutputTypesUnion, DescribeWorkflowTypeOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeWorkflowTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeWorkflowTypeInput, DescribeWorkflowTypeOutput, _stream.Readable>;
    constructor(input: DescribeWorkflowTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<DescribeWorkflowTypeInput, DescribeWorkflowTypeOutput>;
}
