/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListActivityTypesInput } from "../types/ListActivityTypesInput";
import { ListActivityTypesOutput } from "../types/ListActivityTypesOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/ListActivityTypesInput";
export * from "../types/ListActivityTypesOutput";
export * from "../types/ListActivityTypesExceptionsUnion";
export declare class ListActivityTypesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListActivityTypesInput, OutputTypesUnion, ListActivityTypesOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: ListActivityTypesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListActivityTypesInput, ListActivityTypesOutput, _stream.Readable>;
    constructor(input: ListActivityTypesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<ListActivityTypesInput, ListActivityTypesOutput>;
}
