"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListActivityTypes_1 = require("../model/operations/ListActivityTypes");
var ListActivityTypesCommand = /** @class */ (function () {
    function ListActivityTypesCommand(input) {
        this.input = input;
        this.model = ListActivityTypes_1.ListActivityTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListActivityTypesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListActivityTypesCommand;
}());
exports.ListActivityTypesCommand = ListActivityTypesCommand;
//# sourceMappingURL=ListActivityTypesCommand.js.map