/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListDomainsInput } from "../types/ListDomainsInput";
import { ListDomainsOutput } from "../types/ListDomainsOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/ListDomainsInput";
export * from "../types/ListDomainsOutput";
export * from "../types/ListDomainsExceptionsUnion";
export declare class ListDomainsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListDomainsInput, OutputTypesUnion, ListDomainsOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: ListDomainsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListDomainsInput, ListDomainsOutput, _stream.Readable>;
    constructor(input: ListDomainsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<ListDomainsInput, ListDomainsOutput>;
}
