/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListOpenWorkflowExecutionsInput } from "../types/ListOpenWorkflowExecutionsInput";
import { ListOpenWorkflowExecutionsOutput } from "../types/ListOpenWorkflowExecutionsOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/ListOpenWorkflowExecutionsInput";
export * from "../types/ListOpenWorkflowExecutionsOutput";
export * from "../types/ListOpenWorkflowExecutionsExceptionsUnion";
export declare class ListOpenWorkflowExecutionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListOpenWorkflowExecutionsInput, OutputTypesUnion, ListOpenWorkflowExecutionsOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: ListOpenWorkflowExecutionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListOpenWorkflowExecutionsInput, ListOpenWorkflowExecutionsOutput, _stream.Readable>;
    constructor(input: ListOpenWorkflowExecutionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<ListOpenWorkflowExecutionsInput, ListOpenWorkflowExecutionsOutput>;
}
