/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PollForDecisionTaskInput } from "../types/PollForDecisionTaskInput";
import { PollForDecisionTaskOutput } from "../types/PollForDecisionTaskOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/PollForDecisionTaskInput";
export * from "../types/PollForDecisionTaskOutput";
export * from "../types/PollForDecisionTaskExceptionsUnion";
export declare class PollForDecisionTaskCommand implements __aws_sdk_types.Command<InputTypesUnion, PollForDecisionTaskInput, OutputTypesUnion, PollForDecisionTaskOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: PollForDecisionTaskInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PollForDecisionTaskInput, PollForDecisionTaskOutput, _stream.Readable>;
    constructor(input: PollForDecisionTaskInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<PollForDecisionTaskInput, PollForDecisionTaskOutput>;
}
