/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterActivityTypeInput } from "../types/RegisterActivityTypeInput";
import { RegisterActivityTypeOutput } from "../types/RegisterActivityTypeOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/RegisterActivityTypeInput";
export * from "../types/RegisterActivityTypeOutput";
export * from "../types/RegisterActivityTypeExceptionsUnion";
export declare class RegisterActivityTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterActivityTypeInput, OutputTypesUnion, RegisterActivityTypeOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: RegisterActivityTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterActivityTypeInput, RegisterActivityTypeOutput, _stream.Readable>;
    constructor(input: RegisterActivityTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<RegisterActivityTypeInput, RegisterActivityTypeOutput>;
}
