"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterActivityType_1 = require("../model/operations/RegisterActivityType");
var RegisterActivityTypeCommand = /** @class */ (function () {
    function RegisterActivityTypeCommand(input) {
        this.input = input;
        this.model = RegisterActivityType_1.RegisterActivityType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterActivityTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterActivityTypeCommand;
}());
exports.RegisterActivityTypeCommand = RegisterActivityTypeCommand;
//# sourceMappingURL=RegisterActivityTypeCommand.js.map