/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RequestCancelWorkflowExecutionInput } from "../types/RequestCancelWorkflowExecutionInput";
import { RequestCancelWorkflowExecutionOutput } from "../types/RequestCancelWorkflowExecutionOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/RequestCancelWorkflowExecutionInput";
export * from "../types/RequestCancelWorkflowExecutionOutput";
export * from "../types/RequestCancelWorkflowExecutionExceptionsUnion";
export declare class RequestCancelWorkflowExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, RequestCancelWorkflowExecutionInput, OutputTypesUnion, RequestCancelWorkflowExecutionOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: RequestCancelWorkflowExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RequestCancelWorkflowExecutionInput, RequestCancelWorkflowExecutionOutput, _stream.Readable>;
    constructor(input: RequestCancelWorkflowExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<RequestCancelWorkflowExecutionInput, RequestCancelWorkflowExecutionOutput>;
}
