/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RespondActivityTaskCanceledInput } from "../types/RespondActivityTaskCanceledInput";
import { RespondActivityTaskCanceledOutput } from "../types/RespondActivityTaskCanceledOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/RespondActivityTaskCanceledInput";
export * from "../types/RespondActivityTaskCanceledOutput";
export * from "../types/RespondActivityTaskCanceledExceptionsUnion";
export declare class RespondActivityTaskCanceledCommand implements __aws_sdk_types.Command<InputTypesUnion, RespondActivityTaskCanceledInput, OutputTypesUnion, RespondActivityTaskCanceledOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: RespondActivityTaskCanceledInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RespondActivityTaskCanceledInput, RespondActivityTaskCanceledOutput, _stream.Readable>;
    constructor(input: RespondActivityTaskCanceledInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<RespondActivityTaskCanceledInput, RespondActivityTaskCanceledOutput>;
}
