"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RespondActivityTaskCanceled_1 = require("../model/operations/RespondActivityTaskCanceled");
var RespondActivityTaskCanceledCommand = /** @class */ (function () {
    function RespondActivityTaskCanceledCommand(input) {
        this.input = input;
        this.model = RespondActivityTaskCanceled_1.RespondActivityTaskCanceled;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RespondActivityTaskCanceledCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RespondActivityTaskCanceledCommand;
}());
exports.RespondActivityTaskCanceledCommand = RespondActivityTaskCanceledCommand;
//# sourceMappingURL=RespondActivityTaskCanceledCommand.js.map