/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RespondActivityTaskCompletedInput } from "../types/RespondActivityTaskCompletedInput";
import { RespondActivityTaskCompletedOutput } from "../types/RespondActivityTaskCompletedOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/RespondActivityTaskCompletedInput";
export * from "../types/RespondActivityTaskCompletedOutput";
export * from "../types/RespondActivityTaskCompletedExceptionsUnion";
export declare class RespondActivityTaskCompletedCommand implements __aws_sdk_types.Command<InputTypesUnion, RespondActivityTaskCompletedInput, OutputTypesUnion, RespondActivityTaskCompletedOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: RespondActivityTaskCompletedInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RespondActivityTaskCompletedInput, RespondActivityTaskCompletedOutput, _stream.Readable>;
    constructor(input: RespondActivityTaskCompletedInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<RespondActivityTaskCompletedInput, RespondActivityTaskCompletedOutput>;
}
