"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RespondActivityTaskFailed_1 = require("../model/operations/RespondActivityTaskFailed");
var RespondActivityTaskFailedCommand = /** @class */ (function () {
    function RespondActivityTaskFailedCommand(input) {
        this.input = input;
        this.model = RespondActivityTaskFailed_1.RespondActivityTaskFailed;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RespondActivityTaskFailedCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RespondActivityTaskFailedCommand;
}());
exports.RespondActivityTaskFailedCommand = RespondActivityTaskFailedCommand;
//# sourceMappingURL=RespondActivityTaskFailedCommand.js.map