/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UndeprecateWorkflowTypeInput } from "../types/UndeprecateWorkflowTypeInput";
import { UndeprecateWorkflowTypeOutput } from "../types/UndeprecateWorkflowTypeOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/UndeprecateWorkflowTypeInput";
export * from "../types/UndeprecateWorkflowTypeOutput";
export * from "../types/UndeprecateWorkflowTypeExceptionsUnion";
export declare class UndeprecateWorkflowTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, UndeprecateWorkflowTypeInput, OutputTypesUnion, UndeprecateWorkflowTypeOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: UndeprecateWorkflowTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UndeprecateWorkflowTypeInput, UndeprecateWorkflowTypeOutput, _stream.Readable>;
    constructor(input: UndeprecateWorkflowTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<UndeprecateWorkflowTypeInput, UndeprecateWorkflowTypeOutput>;
}
