"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeprecateWorkflowTypeInput_1 = require("../shapes/DeprecateWorkflowTypeInput");
var DeprecateWorkflowTypeOutput_1 = require("../shapes/DeprecateWorkflowTypeOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var TypeDeprecatedFault_1 = require("../shapes/TypeDeprecatedFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeprecateWorkflowType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeprecateWorkflowType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeprecateWorkflowTypeInput_1.DeprecateWorkflowTypeInput
    },
    output: {
        shape: DeprecateWorkflowTypeOutput_1.DeprecateWorkflowTypeOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: TypeDeprecatedFault_1.TypeDeprecatedFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=DeprecateWorkflowType.js.map