"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeWorkflowTypeInput_1 = require("../shapes/DescribeWorkflowTypeInput");
var DescribeWorkflowTypeOutput_1 = require("../shapes/DescribeWorkflowTypeOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeWorkflowType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeWorkflowType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeWorkflowTypeInput_1.DescribeWorkflowTypeInput
    },
    output: {
        shape: DescribeWorkflowTypeOutput_1.DescribeWorkflowTypeOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=DescribeWorkflowType.js.map