"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListClosedWorkflowExecutionsInput_1 = require("../shapes/ListClosedWorkflowExecutionsInput");
var ListClosedWorkflowExecutionsOutput_1 = require("../shapes/ListClosedWorkflowExecutionsOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListClosedWorkflowExecutions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListClosedWorkflowExecutions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListClosedWorkflowExecutionsInput_1.ListClosedWorkflowExecutionsInput
    },
    output: {
        shape: ListClosedWorkflowExecutionsOutput_1.ListClosedWorkflowExecutionsOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=ListClosedWorkflowExecutions.js.map