"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDomainsInput_1 = require("../shapes/ListDomainsInput");
var ListDomainsOutput_1 = require("../shapes/ListDomainsOutput");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDomains = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDomains",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListDomainsInput_1.ListDomainsInput
    },
    output: {
        shape: ListDomainsOutput_1.ListDomainsOutput
    },
    errors: [
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=ListDomains.js.map