"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListWorkflowTypesInput_1 = require("../shapes/ListWorkflowTypesInput");
var ListWorkflowTypesOutput_1 = require("../shapes/ListWorkflowTypesOutput");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListWorkflowTypes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListWorkflowTypes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListWorkflowTypesInput_1.ListWorkflowTypesInput
    },
    output: {
        shape: ListWorkflowTypesOutput_1.ListWorkflowTypesOutput
    },
    errors: [
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        },
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        }
    ]
};
//# sourceMappingURL=ListWorkflowTypes.js.map