"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RespondActivityTaskFailedInput_1 = require("../shapes/RespondActivityTaskFailedInput");
var RespondActivityTaskFailedOutput_1 = require("../shapes/RespondActivityTaskFailedOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RespondActivityTaskFailed = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RespondActivityTaskFailed",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RespondActivityTaskFailedInput_1.RespondActivityTaskFailedInput
    },
    output: {
        shape: RespondActivityTaskFailedOutput_1.RespondActivityTaskFailedOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=RespondActivityTaskFailed.js.map