"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowExecution_1 = require("./_WorkflowExecution");
exports.GetWorkflowExecutionHistoryInput = {
    type: "structure",
    required: ["domain", "execution"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        execution: {
            shape: _WorkflowExecution_1._WorkflowExecution
        },
        nextPageToken: {
            shape: {
                type: "string"
            }
        },
        maximumPageSize: {
            shape: {
                type: "integer"
            }
        },
        reverseOrder: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=GetWorkflowExecutionHistoryInput.js.map