"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListActivityTypesInput = {
    type: "structure",
    required: ["domain", "registrationStatus"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        registrationStatus: {
            shape: {
                type: "string"
            }
        },
        nextPageToken: {
            shape: {
                type: "string"
            }
        },
        maximumPageSize: {
            shape: {
                type: "integer"
            }
        },
        reverseOrder: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=ListActivityTypesInput.js.map