"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowExecution_1 = require("./_WorkflowExecution");
var _ActivityType_1 = require("./_ActivityType");
exports.PollForActivityTaskOutput = {
    type: "structure",
    required: [
        "taskToken",
        "activityId",
        "startedEventId",
        "workflowExecution",
        "activityType"
    ],
    members: {
        taskToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        activityId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        startedEventId: {
            shape: {
                type: "integer"
            }
        },
        workflowExecution: {
            shape: _WorkflowExecution_1._WorkflowExecution
        },
        activityType: {
            shape: _ActivityType_1._ActivityType
        },
        input: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=PollForActivityTaskOutput.js.map