"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowType_1 = require("./_WorkflowType");
var _TaskList_1 = require("./_TaskList");
var _TagList_1 = require("./_TagList");
exports.StartWorkflowExecutionInput = {
    type: "structure",
    required: ["domain", "workflowId", "workflowType"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        workflowId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        workflowType: {
            shape: _WorkflowType_1._WorkflowType
        },
        taskList: {
            shape: _TaskList_1._TaskList
        },
        taskPriority: {
            shape: {
                type: "string"
            }
        },
        input: {
            shape: {
                type: "string"
            }
        },
        executionStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        tagList: {
            shape: _TagList_1._TagList
        },
        taskStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        childPolicy: {
            shape: {
                type: "string"
            }
        },
        lambdaRole: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=StartWorkflowExecutionInput.js.map