"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TerminateWorkflowExecutionInput = {
    type: "structure",
    required: ["domain", "workflowId"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        workflowId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        runId: {
            shape: {
                type: "string"
            }
        },
        reason: {
            shape: {
                type: "string"
            }
        },
        details: {
            shape: {
                type: "string"
            }
        },
        childPolicy: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=TerminateWorkflowExecutionInput.js.map