"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActivityType_1 = require("./_ActivityType");
var _TaskList_1 = require("./_TaskList");
exports._ActivityTaskScheduledEventAttributes = {
    type: "structure",
    required: [
        "activityType",
        "activityId",
        "taskList",
        "decisionTaskCompletedEventId"
    ],
    members: {
        activityType: {
            shape: _ActivityType_1._ActivityType
        },
        activityId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        input: {
            shape: {
                type: "string"
            }
        },
        control: {
            shape: {
                type: "string"
            }
        },
        scheduleToStartTimeout: {
            shape: {
                type: "string"
            }
        },
        scheduleToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        startToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        taskList: {
            shape: _TaskList_1._TaskList
        },
        taskPriority: {
            shape: {
                type: "string"
            }
        },
        decisionTaskCompletedEventId: {
            shape: {
                type: "integer"
            }
        },
        heartbeatTimeout: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ActivityTaskScheduledEventAttributes.js.map