"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._LambdaFunctionScheduledEventAttributes = {
    type: "structure",
    required: ["id", "name", "decisionTaskCompletedEventId"],
    members: {
        id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        control: {
            shape: {
                type: "string"
            }
        },
        input: {
            shape: {
                type: "string"
            }
        },
        startToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        decisionTaskCompletedEventId: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_LambdaFunctionScheduledEventAttributes.js.map