"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._SignalExternalWorkflowExecutionDecisionAttributes = {
    type: "structure",
    required: ["workflowId", "signalName"],
    members: {
        workflowId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        runId: {
            shape: {
                type: "string"
            }
        },
        signalName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        input: {
            shape: {
                type: "string"
            }
        },
        control: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_SignalExternalWorkflowExecutionDecisionAttributes.js.map