"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._SignalExternalWorkflowExecutionFailedEventAttributes = {
    type: "structure",
    required: [
        "workflowId",
        "cause",
        "initiatedEventId",
        "decisionTaskCompletedEventId"
    ],
    members: {
        workflowId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        runId: {
            shape: {
                type: "string"
            }
        },
        cause: {
            shape: {
                type: "string"
            }
        },
        initiatedEventId: {
            shape: {
                type: "integer"
            }
        },
        decisionTaskCompletedEventId: {
            shape: {
                type: "integer"
            }
        },
        control: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_SignalExternalWorkflowExecutionFailedEventAttributes.js.map