"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._SignalExternalWorkflowExecutionInitiatedEventAttributes = {
    type: "structure",
    required: ["workflowId", "signalName", "decisionTaskCompletedEventId"],
    members: {
        workflowId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        runId: {
            shape: {
                type: "string"
            }
        },
        signalName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        input: {
            shape: {
                type: "string"
            }
        },
        decisionTaskCompletedEventId: {
            shape: {
                type: "integer"
            }
        },
        control: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_SignalExternalWorkflowExecutionInitiatedEventAttributes.js.map