"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowType_1 = require("./_WorkflowType");
var _TaskList_1 = require("./_TaskList");
var _TagList_1 = require("./_TagList");
exports._StartChildWorkflowExecutionInitiatedEventAttributes = {
    type: "structure",
    required: [
        "workflowId",
        "workflowType",
        "taskList",
        "decisionTaskCompletedEventId",
        "childPolicy"
    ],
    members: {
        workflowId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        workflowType: {
            shape: _WorkflowType_1._WorkflowType
        },
        control: {
            shape: {
                type: "string"
            }
        },
        input: {
            shape: {
                type: "string"
            }
        },
        executionStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        taskList: {
            shape: _TaskList_1._TaskList
        },
        taskPriority: {
            shape: {
                type: "string"
            }
        },
        decisionTaskCompletedEventId: {
            shape: {
                type: "integer"
            }
        },
        childPolicy: {
            shape: {
                type: "string"
            }
        },
        taskStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        tagList: {
            shape: _TagList_1._TagList
        },
        lambdaRole: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_StartChildWorkflowExecutionInitiatedEventAttributes.js.map