"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TaskList_1 = require("./_TaskList");
exports._WorkflowExecutionConfiguration = {
    type: "structure",
    required: [
        "taskStartToCloseTimeout",
        "executionStartToCloseTimeout",
        "taskList",
        "childPolicy"
    ],
    members: {
        taskStartToCloseTimeout: {
            shape: {
                type: "string",
                min: 1
            }
        },
        executionStartToCloseTimeout: {
            shape: {
                type: "string",
                min: 1
            }
        },
        taskList: {
            shape: _TaskList_1._TaskList
        },
        taskPriority: {
            shape: {
                type: "string"
            }
        },
        childPolicy: {
            shape: {
                type: "string"
            }
        },
        lambdaRole: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_WorkflowExecutionConfiguration.js.map