"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowExecution_1 = require("./_WorkflowExecution");
exports._WorkflowExecutionSignaledEventAttributes = {
    type: "structure",
    required: ["signalName"],
    members: {
        signalName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        input: {
            shape: {
                type: "string"
            }
        },
        externalWorkflowExecution: {
            shape: _WorkflowExecution_1._WorkflowExecution
        },
        externalInitiatedEventId: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_WorkflowExecutionSignaledEventAttributes.js.map