"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowType_1 = require("./_WorkflowType");
exports._WorkflowTypeInfo = {
    type: "structure",
    required: ["workflowType", "status", "creationDate"],
    members: {
        workflowType: {
            shape: _WorkflowType_1._WorkflowType
        },
        status: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        creationDate: {
            shape: {
                type: "timestamp"
            }
        },
        deprecationDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_WorkflowTypeInfo.js.map