import { _WorkflowExecutionStartedEventAttributes, _UnmarshalledWorkflowExecutionStartedEventAttributes } from "./_WorkflowExecutionStartedEventAttributes";
import { _WorkflowExecutionCompletedEventAttributes, _UnmarshalledWorkflowExecutionCompletedEventAttributes } from "./_WorkflowExecutionCompletedEventAttributes";
import { _CompleteWorkflowExecutionFailedEventAttributes, _UnmarshalledCompleteWorkflowExecutionFailedEventAttributes } from "./_CompleteWorkflowExecutionFailedEventAttributes";
import { _WorkflowExecutionFailedEventAttributes, _UnmarshalledWorkflowExecutionFailedEventAttributes } from "./_WorkflowExecutionFailedEventAttributes";
import { _FailWorkflowExecutionFailedEventAttributes, _UnmarshalledFailWorkflowExecutionFailedEventAttributes } from "./_FailWorkflowExecutionFailedEventAttributes";
import { _WorkflowExecutionTimedOutEventAttributes, _UnmarshalledWorkflowExecutionTimedOutEventAttributes } from "./_WorkflowExecutionTimedOutEventAttributes";
import { _WorkflowExecutionCanceledEventAttributes, _UnmarshalledWorkflowExecutionCanceledEventAttributes } from "./_WorkflowExecutionCanceledEventAttributes";
import { _CancelWorkflowExecutionFailedEventAttributes, _UnmarshalledCancelWorkflowExecutionFailedEventAttributes } from "./_CancelWorkflowExecutionFailedEventAttributes";
import { _WorkflowExecutionContinuedAsNewEventAttributes, _UnmarshalledWorkflowExecutionContinuedAsNewEventAttributes } from "./_WorkflowExecutionContinuedAsNewEventAttributes";
import { _ContinueAsNewWorkflowExecutionFailedEventAttributes, _UnmarshalledContinueAsNewWorkflowExecutionFailedEventAttributes } from "./_ContinueAsNewWorkflowExecutionFailedEventAttributes";
import { _WorkflowExecutionTerminatedEventAttributes, _UnmarshalledWorkflowExecutionTerminatedEventAttributes } from "./_WorkflowExecutionTerminatedEventAttributes";
import { _WorkflowExecutionCancelRequestedEventAttributes, _UnmarshalledWorkflowExecutionCancelRequestedEventAttributes } from "./_WorkflowExecutionCancelRequestedEventAttributes";
import { _DecisionTaskScheduledEventAttributes, _UnmarshalledDecisionTaskScheduledEventAttributes } from "./_DecisionTaskScheduledEventAttributes";
import { _DecisionTaskStartedEventAttributes, _UnmarshalledDecisionTaskStartedEventAttributes } from "./_DecisionTaskStartedEventAttributes";
import { _DecisionTaskCompletedEventAttributes, _UnmarshalledDecisionTaskCompletedEventAttributes } from "./_DecisionTaskCompletedEventAttributes";
import { _DecisionTaskTimedOutEventAttributes, _UnmarshalledDecisionTaskTimedOutEventAttributes } from "./_DecisionTaskTimedOutEventAttributes";
import { _ActivityTaskScheduledEventAttributes, _UnmarshalledActivityTaskScheduledEventAttributes } from "./_ActivityTaskScheduledEventAttributes";
import { _ActivityTaskStartedEventAttributes, _UnmarshalledActivityTaskStartedEventAttributes } from "./_ActivityTaskStartedEventAttributes";
import { _ActivityTaskCompletedEventAttributes, _UnmarshalledActivityTaskCompletedEventAttributes } from "./_ActivityTaskCompletedEventAttributes";
import { _ActivityTaskFailedEventAttributes, _UnmarshalledActivityTaskFailedEventAttributes } from "./_ActivityTaskFailedEventAttributes";
import { _ActivityTaskTimedOutEventAttributes, _UnmarshalledActivityTaskTimedOutEventAttributes } from "./_ActivityTaskTimedOutEventAttributes";
import { _ActivityTaskCanceledEventAttributes, _UnmarshalledActivityTaskCanceledEventAttributes } from "./_ActivityTaskCanceledEventAttributes";
import { _ActivityTaskCancelRequestedEventAttributes, _UnmarshalledActivityTaskCancelRequestedEventAttributes } from "./_ActivityTaskCancelRequestedEventAttributes";
import { _WorkflowExecutionSignaledEventAttributes, _UnmarshalledWorkflowExecutionSignaledEventAttributes } from "./_WorkflowExecutionSignaledEventAttributes";
import { _MarkerRecordedEventAttributes, _UnmarshalledMarkerRecordedEventAttributes } from "./_MarkerRecordedEventAttributes";
import { _RecordMarkerFailedEventAttributes, _UnmarshalledRecordMarkerFailedEventAttributes } from "./_RecordMarkerFailedEventAttributes";
import { _TimerStartedEventAttributes, _UnmarshalledTimerStartedEventAttributes } from "./_TimerStartedEventAttributes";
import { _TimerFiredEventAttributes, _UnmarshalledTimerFiredEventAttributes } from "./_TimerFiredEventAttributes";
import { _TimerCanceledEventAttributes, _UnmarshalledTimerCanceledEventAttributes } from "./_TimerCanceledEventAttributes";
import { _StartChildWorkflowExecutionInitiatedEventAttributes, _UnmarshalledStartChildWorkflowExecutionInitiatedEventAttributes } from "./_StartChildWorkflowExecutionInitiatedEventAttributes";
import { _ChildWorkflowExecutionStartedEventAttributes, _UnmarshalledChildWorkflowExecutionStartedEventAttributes } from "./_ChildWorkflowExecutionStartedEventAttributes";
import { _ChildWorkflowExecutionCompletedEventAttributes, _UnmarshalledChildWorkflowExecutionCompletedEventAttributes } from "./_ChildWorkflowExecutionCompletedEventAttributes";
import { _ChildWorkflowExecutionFailedEventAttributes, _UnmarshalledChildWorkflowExecutionFailedEventAttributes } from "./_ChildWorkflowExecutionFailedEventAttributes";
import { _ChildWorkflowExecutionTimedOutEventAttributes, _UnmarshalledChildWorkflowExecutionTimedOutEventAttributes } from "./_ChildWorkflowExecutionTimedOutEventAttributes";
import { _ChildWorkflowExecutionCanceledEventAttributes, _UnmarshalledChildWorkflowExecutionCanceledEventAttributes } from "./_ChildWorkflowExecutionCanceledEventAttributes";
import { _ChildWorkflowExecutionTerminatedEventAttributes, _UnmarshalledChildWorkflowExecutionTerminatedEventAttributes } from "./_ChildWorkflowExecutionTerminatedEventAttributes";
import { _SignalExternalWorkflowExecutionInitiatedEventAttributes, _UnmarshalledSignalExternalWorkflowExecutionInitiatedEventAttributes } from "./_SignalExternalWorkflowExecutionInitiatedEventAttributes";
import { _ExternalWorkflowExecutionSignaledEventAttributes, _UnmarshalledExternalWorkflowExecutionSignaledEventAttributes } from "./_ExternalWorkflowExecutionSignaledEventAttributes";
import { _SignalExternalWorkflowExecutionFailedEventAttributes, _UnmarshalledSignalExternalWorkflowExecutionFailedEventAttributes } from "./_SignalExternalWorkflowExecutionFailedEventAttributes";
import { _ExternalWorkflowExecutionCancelRequestedEventAttributes, _UnmarshalledExternalWorkflowExecutionCancelRequestedEventAttributes } from "./_ExternalWorkflowExecutionCancelRequestedEventAttributes";
import { _RequestCancelExternalWorkflowExecutionInitiatedEventAttributes, _UnmarshalledRequestCancelExternalWorkflowExecutionInitiatedEventAttributes } from "./_RequestCancelExternalWorkflowExecutionInitiatedEventAttributes";
import { _RequestCancelExternalWorkflowExecutionFailedEventAttributes, _UnmarshalledRequestCancelExternalWorkflowExecutionFailedEventAttributes } from "./_RequestCancelExternalWorkflowExecutionFailedEventAttributes";
import { _ScheduleActivityTaskFailedEventAttributes, _UnmarshalledScheduleActivityTaskFailedEventAttributes } from "./_ScheduleActivityTaskFailedEventAttributes";
import { _RequestCancelActivityTaskFailedEventAttributes, _UnmarshalledRequestCancelActivityTaskFailedEventAttributes } from "./_RequestCancelActivityTaskFailedEventAttributes";
import { _StartTimerFailedEventAttributes, _UnmarshalledStartTimerFailedEventAttributes } from "./_StartTimerFailedEventAttributes";
import { _CancelTimerFailedEventAttributes, _UnmarshalledCancelTimerFailedEventAttributes } from "./_CancelTimerFailedEventAttributes";
import { _StartChildWorkflowExecutionFailedEventAttributes, _UnmarshalledStartChildWorkflowExecutionFailedEventAttributes } from "./_StartChildWorkflowExecutionFailedEventAttributes";
import { _LambdaFunctionScheduledEventAttributes, _UnmarshalledLambdaFunctionScheduledEventAttributes } from "./_LambdaFunctionScheduledEventAttributes";
import { _LambdaFunctionStartedEventAttributes, _UnmarshalledLambdaFunctionStartedEventAttributes } from "./_LambdaFunctionStartedEventAttributes";
import { _LambdaFunctionCompletedEventAttributes, _UnmarshalledLambdaFunctionCompletedEventAttributes } from "./_LambdaFunctionCompletedEventAttributes";
import { _LambdaFunctionFailedEventAttributes, _UnmarshalledLambdaFunctionFailedEventAttributes } from "./_LambdaFunctionFailedEventAttributes";
import { _LambdaFunctionTimedOutEventAttributes, _UnmarshalledLambdaFunctionTimedOutEventAttributes } from "./_LambdaFunctionTimedOutEventAttributes";
import { _ScheduleLambdaFunctionFailedEventAttributes, _UnmarshalledScheduleLambdaFunctionFailedEventAttributes } from "./_ScheduleLambdaFunctionFailedEventAttributes";
import { _StartLambdaFunctionFailedEventAttributes, _UnmarshalledStartLambdaFunctionFailedEventAttributes } from "./_StartLambdaFunctionFailedEventAttributes";
/**
 * <p>Event within a workflow execution. A history event can be one of these types:</p> <ul> <li> <p> <code>ActivityTaskCancelRequested</code> – A <code>RequestCancelActivityTask</code> decision was received by the system.</p> </li> <li> <p> <code>ActivityTaskCanceled</code> – The activity task was successfully canceled.</p> </li> <li> <p> <code>ActivityTaskCompleted</code> – An activity worker successfully completed an activity task by calling <a>RespondActivityTaskCompleted</a>.</p> </li> <li> <p> <code>ActivityTaskFailed</code> – An activity worker failed an activity task by calling <a>RespondActivityTaskFailed</a>.</p> </li> <li> <p> <code>ActivityTaskScheduled</code> – An activity task was scheduled for execution.</p> </li> <li> <p> <code>ActivityTaskStarted</code> – The scheduled activity task was dispatched to a worker.</p> </li> <li> <p> <code>ActivityTaskTimedOut</code> – The activity task timed out.</p> </li> <li> <p> <code>CancelTimerFailed</code> – Failed to process CancelTimer decision. This happens when the decision isn't configured properly, for example no timer exists with the specified timer Id.</p> </li> <li> <p> <code>CancelWorkflowExecutionFailed</code> – A request to cancel a workflow execution failed.</p> </li> <li> <p> <code>ChildWorkflowExecutionCanceled</code> – A child workflow execution, started by this workflow execution, was canceled and closed.</p> </li> <li> <p> <code>ChildWorkflowExecutionCompleted</code> – A child workflow execution, started by this workflow execution, completed successfully and was closed.</p> </li> <li> <p> <code>ChildWorkflowExecutionFailed</code> – A child workflow execution, started by this workflow execution, failed to complete successfully and was closed.</p> </li> <li> <p> <code>ChildWorkflowExecutionStarted</code> – A child workflow execution was successfully started.</p> </li> <li> <p> <code>ChildWorkflowExecutionTerminated</code> – A child workflow execution, started by this workflow execution, was terminated.</p> </li> <li> <p> <code>ChildWorkflowExecutionTimedOut</code> – A child workflow execution, started by this workflow execution, timed out and was closed.</p> </li> <li> <p> <code>CompleteWorkflowExecutionFailed</code> – The workflow execution failed to complete.</p> </li> <li> <p> <code>ContinueAsNewWorkflowExecutionFailed</code> – The workflow execution failed to complete after being continued as a new workflow execution.</p> </li> <li> <p> <code>DecisionTaskCompleted</code> – The decider successfully completed a decision task by calling <a>RespondDecisionTaskCompleted</a>.</p> </li> <li> <p> <code>DecisionTaskScheduled</code> – A decision task was scheduled for the workflow execution.</p> </li> <li> <p> <code>DecisionTaskStarted</code> – The decision task was dispatched to a decider.</p> </li> <li> <p> <code>DecisionTaskTimedOut</code> – The decision task timed out.</p> </li> <li> <p> <code>ExternalWorkflowExecutionCancelRequested</code> – Request to cancel an external workflow execution was successfully delivered to the target execution.</p> </li> <li> <p> <code>ExternalWorkflowExecutionSignaled</code> – A signal, requested by this workflow execution, was successfully delivered to the target external workflow execution.</p> </li> <li> <p> <code>FailWorkflowExecutionFailed</code> – A request to mark a workflow execution as failed, itself failed.</p> </li> <li> <p> <code>MarkerRecorded</code> – A marker was recorded in the workflow history as the result of a <code>RecordMarker</code> decision.</p> </li> <li> <p> <code>RecordMarkerFailed</code> – A <code>RecordMarker</code> decision was returned as failed.</p> </li> <li> <p> <code>RequestCancelActivityTaskFailed</code> – Failed to process RequestCancelActivityTask decision. This happens when the decision isn't configured properly.</p> </li> <li> <p> <code>RequestCancelExternalWorkflowExecutionFailed</code> – Request to cancel an external workflow execution failed.</p> </li> <li> <p> <code>RequestCancelExternalWorkflowExecutionInitiated</code> – A request was made to request the cancellation of an external workflow execution.</p> </li> <li> <p> <code>ScheduleActivityTaskFailed</code> – Failed to process ScheduleActivityTask decision. This happens when the decision isn't configured properly, for example the activity type specified isn't registered.</p> </li> <li> <p> <code>SignalExternalWorkflowExecutionFailed</code> – The request to signal an external workflow execution failed.</p> </li> <li> <p> <code>SignalExternalWorkflowExecutionInitiated</code> – A request to signal an external workflow was made.</p> </li> <li> <p> <code>StartActivityTaskFailed</code> – A scheduled activity task failed to start.</p> </li> <li> <p> <code>StartChildWorkflowExecutionFailed</code> – Failed to process StartChildWorkflowExecution decision. This happens when the decision isn't configured properly, for example the workflow type specified isn't registered.</p> </li> <li> <p> <code>StartChildWorkflowExecutionInitiated</code> – A request was made to start a child workflow execution.</p> </li> <li> <p> <code>StartTimerFailed</code> – Failed to process StartTimer decision. This happens when the decision isn't configured properly, for example a timer already exists with the specified timer Id.</p> </li> <li> <p> <code>TimerCanceled</code> – A timer, previously started for this workflow execution, was successfully canceled.</p> </li> <li> <p> <code>TimerFired</code> – A timer, previously started for this workflow execution, fired.</p> </li> <li> <p> <code>TimerStarted</code> – A timer was started for the workflow execution due to a <code>StartTimer</code> decision.</p> </li> <li> <p> <code>WorkflowExecutionCancelRequested</code> – A request to cancel this workflow execution was made.</p> </li> <li> <p> <code>WorkflowExecutionCanceled</code> – The workflow execution was successfully canceled and closed.</p> </li> <li> <p> <code>WorkflowExecutionCompleted</code> – The workflow execution was closed due to successful completion.</p> </li> <li> <p> <code>WorkflowExecutionContinuedAsNew</code> – The workflow execution was closed and a new execution of the same type was created with the same workflowId.</p> </li> <li> <p> <code>WorkflowExecutionFailed</code> – The workflow execution closed due to a failure.</p> </li> <li> <p> <code>WorkflowExecutionSignaled</code> – An external signal was received for the workflow execution.</p> </li> <li> <p> <code>WorkflowExecutionStarted</code> – The workflow execution was started.</p> </li> <li> <p> <code>WorkflowExecutionTerminated</code> – The workflow execution was terminated.</p> </li> <li> <p> <code>WorkflowExecutionTimedOut</code> – The workflow execution was closed because a time out was exceeded.</p> </li> </ul>
 */
export interface _HistoryEvent {
    /**
     * <p>The date and time when the event occurred.</p>
     */
    eventTimestamp: Date | string | number;
    /**
     * <p>The type of the history event.</p>
     */
    eventType: "WorkflowExecutionStarted" | "WorkflowExecutionCancelRequested" | "WorkflowExecutionCompleted" | "CompleteWorkflowExecutionFailed" | "WorkflowExecutionFailed" | "FailWorkflowExecutionFailed" | "WorkflowExecutionTimedOut" | "WorkflowExecutionCanceled" | "CancelWorkflowExecutionFailed" | "WorkflowExecutionContinuedAsNew" | "ContinueAsNewWorkflowExecutionFailed" | "WorkflowExecutionTerminated" | "DecisionTaskScheduled" | "DecisionTaskStarted" | "DecisionTaskCompleted" | "DecisionTaskTimedOut" | "ActivityTaskScheduled" | "ScheduleActivityTaskFailed" | "ActivityTaskStarted" | "ActivityTaskCompleted" | "ActivityTaskFailed" | "ActivityTaskTimedOut" | "ActivityTaskCanceled" | "ActivityTaskCancelRequested" | "RequestCancelActivityTaskFailed" | "WorkflowExecutionSignaled" | "MarkerRecorded" | "RecordMarkerFailed" | "TimerStarted" | "StartTimerFailed" | "TimerFired" | "TimerCanceled" | "CancelTimerFailed" | "StartChildWorkflowExecutionInitiated" | "StartChildWorkflowExecutionFailed" | "ChildWorkflowExecutionStarted" | "ChildWorkflowExecutionCompleted" | "ChildWorkflowExecutionFailed" | "ChildWorkflowExecutionTimedOut" | "ChildWorkflowExecutionCanceled" | "ChildWorkflowExecutionTerminated" | "SignalExternalWorkflowExecutionInitiated" | "SignalExternalWorkflowExecutionFailed" | "ExternalWorkflowExecutionSignaled" | "RequestCancelExternalWorkflowExecutionInitiated" | "RequestCancelExternalWorkflowExecutionFailed" | "ExternalWorkflowExecutionCancelRequested" | "LambdaFunctionScheduled" | "LambdaFunctionStarted" | "LambdaFunctionCompleted" | "LambdaFunctionFailed" | "LambdaFunctionTimedOut" | "ScheduleLambdaFunctionFailed" | "StartLambdaFunctionFailed" | string;
    /**
     * <p>The system generated ID of the event. This ID uniquely identifies the event with in the workflow execution history.</p>
     */
    eventId: number;
    /**
     * <p>If the event is of type <code>WorkflowExecutionStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionStartedEventAttributes?: _WorkflowExecutionStartedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionCompleted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionCompletedEventAttributes?: _WorkflowExecutionCompletedEventAttributes;
    /**
     * <p>If the event is of type <code>CompleteWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    completeWorkflowExecutionFailedEventAttributes?: _CompleteWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionFailedEventAttributes?: _WorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>FailWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    failWorkflowExecutionFailedEventAttributes?: _FailWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionTimedOut</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionTimedOutEventAttributes?: _WorkflowExecutionTimedOutEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionCanceled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionCanceledEventAttributes?: _WorkflowExecutionCanceledEventAttributes;
    /**
     * <p>If the event is of type <code>CancelWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    cancelWorkflowExecutionFailedEventAttributes?: _CancelWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionContinuedAsNew</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionContinuedAsNewEventAttributes?: _WorkflowExecutionContinuedAsNewEventAttributes;
    /**
     * <p>If the event is of type <code>ContinueAsNewWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    continueAsNewWorkflowExecutionFailedEventAttributes?: _ContinueAsNewWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionTerminated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionTerminatedEventAttributes?: _WorkflowExecutionTerminatedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionCancelRequested</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionCancelRequestedEventAttributes?: _WorkflowExecutionCancelRequestedEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskScheduled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    decisionTaskScheduledEventAttributes?: _DecisionTaskScheduledEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    decisionTaskStartedEventAttributes?: _DecisionTaskStartedEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskCompleted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    decisionTaskCompletedEventAttributes?: _DecisionTaskCompletedEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskTimedOut</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    decisionTaskTimedOutEventAttributes?: _DecisionTaskTimedOutEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskScheduled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskScheduledEventAttributes?: _ActivityTaskScheduledEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskStartedEventAttributes?: _ActivityTaskStartedEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskCompleted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskCompletedEventAttributes?: _ActivityTaskCompletedEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskFailedEventAttributes?: _ActivityTaskFailedEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskTimedOut</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskTimedOutEventAttributes?: _ActivityTaskTimedOutEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskCanceled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskCanceledEventAttributes?: _ActivityTaskCanceledEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskcancelRequested</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskCancelRequestedEventAttributes?: _ActivityTaskCancelRequestedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionSignaled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionSignaledEventAttributes?: _WorkflowExecutionSignaledEventAttributes;
    /**
     * <p>If the event is of type <code>MarkerRecorded</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    markerRecordedEventAttributes?: _MarkerRecordedEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    recordMarkerFailedEventAttributes?: _RecordMarkerFailedEventAttributes;
    /**
     * <p>If the event is of type <code>TimerStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    timerStartedEventAttributes?: _TimerStartedEventAttributes;
    /**
     * <p>If the event is of type <code>TimerFired</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    timerFiredEventAttributes?: _TimerFiredEventAttributes;
    /**
     * <p>If the event is of type <code>TimerCanceled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    timerCanceledEventAttributes?: _TimerCanceledEventAttributes;
    /**
     * <p>If the event is of type <code>StartChildWorkflowExecutionInitiated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    startChildWorkflowExecutionInitiatedEventAttributes?: _StartChildWorkflowExecutionInitiatedEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionStartedEventAttributes?: _ChildWorkflowExecutionStartedEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionCompleted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionCompletedEventAttributes?: _ChildWorkflowExecutionCompletedEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionFailedEventAttributes?: _ChildWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionTimedOut</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionTimedOutEventAttributes?: _ChildWorkflowExecutionTimedOutEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionCanceled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionCanceledEventAttributes?: _ChildWorkflowExecutionCanceledEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionTerminated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionTerminatedEventAttributes?: _ChildWorkflowExecutionTerminatedEventAttributes;
    /**
     * <p>If the event is of type <code>SignalExternalWorkflowExecutionInitiated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    signalExternalWorkflowExecutionInitiatedEventAttributes?: _SignalExternalWorkflowExecutionInitiatedEventAttributes;
    /**
     * <p>If the event is of type <code>ExternalWorkflowExecutionSignaled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    externalWorkflowExecutionSignaledEventAttributes?: _ExternalWorkflowExecutionSignaledEventAttributes;
    /**
     * <p>If the event is of type <code>SignalExternalWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    signalExternalWorkflowExecutionFailedEventAttributes?: _SignalExternalWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>ExternalWorkflowExecutionCancelRequested</code> then this member is set and provides detailed information about the event. It isn't set for other event types. </p>
     */
    externalWorkflowExecutionCancelRequestedEventAttributes?: _ExternalWorkflowExecutionCancelRequestedEventAttributes;
    /**
     * <p>If the event is of type <code>RequestCancelExternalWorkflowExecutionInitiated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    requestCancelExternalWorkflowExecutionInitiatedEventAttributes?: _RequestCancelExternalWorkflowExecutionInitiatedEventAttributes;
    /**
     * <p>If the event is of type <code>RequestCancelExternalWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    requestCancelExternalWorkflowExecutionFailedEventAttributes?: _RequestCancelExternalWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>ScheduleActivityTaskFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    scheduleActivityTaskFailedEventAttributes?: _ScheduleActivityTaskFailedEventAttributes;
    /**
     * <p>If the event is of type <code>RequestCancelActivityTaskFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    requestCancelActivityTaskFailedEventAttributes?: _RequestCancelActivityTaskFailedEventAttributes;
    /**
     * <p>If the event is of type <code>StartTimerFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    startTimerFailedEventAttributes?: _StartTimerFailedEventAttributes;
    /**
     * <p>If the event is of type <code>CancelTimerFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    cancelTimerFailedEventAttributes?: _CancelTimerFailedEventAttributes;
    /**
     * <p>If the event is of type <code>StartChildWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    startChildWorkflowExecutionFailedEventAttributes?: _StartChildWorkflowExecutionFailedEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionScheduled</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionScheduledEventAttributes?: _LambdaFunctionScheduledEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionStarted</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionStartedEventAttributes?: _LambdaFunctionStartedEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionCompleted</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionCompletedEventAttributes?: _LambdaFunctionCompletedEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionFailed</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionFailedEventAttributes?: _LambdaFunctionFailedEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionTimedOut</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionTimedOutEventAttributes?: _LambdaFunctionTimedOutEventAttributes;
    /**
     * <p>Provides the details of the <code>ScheduleLambdaFunctionFailed</code> event. It isn't set for other event types.</p>
     */
    scheduleLambdaFunctionFailedEventAttributes?: _ScheduleLambdaFunctionFailedEventAttributes;
    /**
     * <p>Provides the details of the <code>StartLambdaFunctionFailed</code> event. It isn't set for other event types.</p>
     */
    startLambdaFunctionFailedEventAttributes?: _StartLambdaFunctionFailedEventAttributes;
}
export interface _UnmarshalledHistoryEvent extends _HistoryEvent {
    /**
     * <p>The date and time when the event occurred.</p>
     */
    eventTimestamp: Date;
    /**
     * <p>If the event is of type <code>WorkflowExecutionStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionStartedEventAttributes?: _UnmarshalledWorkflowExecutionStartedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionCompleted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionCompletedEventAttributes?: _UnmarshalledWorkflowExecutionCompletedEventAttributes;
    /**
     * <p>If the event is of type <code>CompleteWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    completeWorkflowExecutionFailedEventAttributes?: _UnmarshalledCompleteWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionFailedEventAttributes?: _UnmarshalledWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>FailWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    failWorkflowExecutionFailedEventAttributes?: _UnmarshalledFailWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionTimedOut</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionTimedOutEventAttributes?: _UnmarshalledWorkflowExecutionTimedOutEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionCanceled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionCanceledEventAttributes?: _UnmarshalledWorkflowExecutionCanceledEventAttributes;
    /**
     * <p>If the event is of type <code>CancelWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    cancelWorkflowExecutionFailedEventAttributes?: _UnmarshalledCancelWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionContinuedAsNew</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionContinuedAsNewEventAttributes?: _UnmarshalledWorkflowExecutionContinuedAsNewEventAttributes;
    /**
     * <p>If the event is of type <code>ContinueAsNewWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    continueAsNewWorkflowExecutionFailedEventAttributes?: _UnmarshalledContinueAsNewWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionTerminated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionTerminatedEventAttributes?: _UnmarshalledWorkflowExecutionTerminatedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionCancelRequested</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionCancelRequestedEventAttributes?: _UnmarshalledWorkflowExecutionCancelRequestedEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskScheduled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    decisionTaskScheduledEventAttributes?: _UnmarshalledDecisionTaskScheduledEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    decisionTaskStartedEventAttributes?: _UnmarshalledDecisionTaskStartedEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskCompleted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    decisionTaskCompletedEventAttributes?: _UnmarshalledDecisionTaskCompletedEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskTimedOut</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    decisionTaskTimedOutEventAttributes?: _UnmarshalledDecisionTaskTimedOutEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskScheduled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskScheduledEventAttributes?: _UnmarshalledActivityTaskScheduledEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskStartedEventAttributes?: _UnmarshalledActivityTaskStartedEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskCompleted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskCompletedEventAttributes?: _UnmarshalledActivityTaskCompletedEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskFailedEventAttributes?: _UnmarshalledActivityTaskFailedEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskTimedOut</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskTimedOutEventAttributes?: _UnmarshalledActivityTaskTimedOutEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskCanceled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskCanceledEventAttributes?: _UnmarshalledActivityTaskCanceledEventAttributes;
    /**
     * <p>If the event is of type <code>ActivityTaskcancelRequested</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    activityTaskCancelRequestedEventAttributes?: _UnmarshalledActivityTaskCancelRequestedEventAttributes;
    /**
     * <p>If the event is of type <code>WorkflowExecutionSignaled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    workflowExecutionSignaledEventAttributes?: _UnmarshalledWorkflowExecutionSignaledEventAttributes;
    /**
     * <p>If the event is of type <code>MarkerRecorded</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    markerRecordedEventAttributes?: _UnmarshalledMarkerRecordedEventAttributes;
    /**
     * <p>If the event is of type <code>DecisionTaskFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    recordMarkerFailedEventAttributes?: _UnmarshalledRecordMarkerFailedEventAttributes;
    /**
     * <p>If the event is of type <code>TimerStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    timerStartedEventAttributes?: _UnmarshalledTimerStartedEventAttributes;
    /**
     * <p>If the event is of type <code>TimerFired</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    timerFiredEventAttributes?: _UnmarshalledTimerFiredEventAttributes;
    /**
     * <p>If the event is of type <code>TimerCanceled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    timerCanceledEventAttributes?: _UnmarshalledTimerCanceledEventAttributes;
    /**
     * <p>If the event is of type <code>StartChildWorkflowExecutionInitiated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    startChildWorkflowExecutionInitiatedEventAttributes?: _UnmarshalledStartChildWorkflowExecutionInitiatedEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionStarted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionStartedEventAttributes?: _UnmarshalledChildWorkflowExecutionStartedEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionCompleted</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionCompletedEventAttributes?: _UnmarshalledChildWorkflowExecutionCompletedEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionFailedEventAttributes?: _UnmarshalledChildWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionTimedOut</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionTimedOutEventAttributes?: _UnmarshalledChildWorkflowExecutionTimedOutEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionCanceled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionCanceledEventAttributes?: _UnmarshalledChildWorkflowExecutionCanceledEventAttributes;
    /**
     * <p>If the event is of type <code>ChildWorkflowExecutionTerminated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    childWorkflowExecutionTerminatedEventAttributes?: _UnmarshalledChildWorkflowExecutionTerminatedEventAttributes;
    /**
     * <p>If the event is of type <code>SignalExternalWorkflowExecutionInitiated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    signalExternalWorkflowExecutionInitiatedEventAttributes?: _UnmarshalledSignalExternalWorkflowExecutionInitiatedEventAttributes;
    /**
     * <p>If the event is of type <code>ExternalWorkflowExecutionSignaled</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    externalWorkflowExecutionSignaledEventAttributes?: _UnmarshalledExternalWorkflowExecutionSignaledEventAttributes;
    /**
     * <p>If the event is of type <code>SignalExternalWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    signalExternalWorkflowExecutionFailedEventAttributes?: _UnmarshalledSignalExternalWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>ExternalWorkflowExecutionCancelRequested</code> then this member is set and provides detailed information about the event. It isn't set for other event types. </p>
     */
    externalWorkflowExecutionCancelRequestedEventAttributes?: _UnmarshalledExternalWorkflowExecutionCancelRequestedEventAttributes;
    /**
     * <p>If the event is of type <code>RequestCancelExternalWorkflowExecutionInitiated</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    requestCancelExternalWorkflowExecutionInitiatedEventAttributes?: _UnmarshalledRequestCancelExternalWorkflowExecutionInitiatedEventAttributes;
    /**
     * <p>If the event is of type <code>RequestCancelExternalWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    requestCancelExternalWorkflowExecutionFailedEventAttributes?: _UnmarshalledRequestCancelExternalWorkflowExecutionFailedEventAttributes;
    /**
     * <p>If the event is of type <code>ScheduleActivityTaskFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    scheduleActivityTaskFailedEventAttributes?: _UnmarshalledScheduleActivityTaskFailedEventAttributes;
    /**
     * <p>If the event is of type <code>RequestCancelActivityTaskFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    requestCancelActivityTaskFailedEventAttributes?: _UnmarshalledRequestCancelActivityTaskFailedEventAttributes;
    /**
     * <p>If the event is of type <code>StartTimerFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    startTimerFailedEventAttributes?: _UnmarshalledStartTimerFailedEventAttributes;
    /**
     * <p>If the event is of type <code>CancelTimerFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    cancelTimerFailedEventAttributes?: _UnmarshalledCancelTimerFailedEventAttributes;
    /**
     * <p>If the event is of type <code>StartChildWorkflowExecutionFailed</code> then this member is set and provides detailed information about the event. It isn't set for other event types.</p>
     */
    startChildWorkflowExecutionFailedEventAttributes?: _UnmarshalledStartChildWorkflowExecutionFailedEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionScheduled</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionScheduledEventAttributes?: _UnmarshalledLambdaFunctionScheduledEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionStarted</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionStartedEventAttributes?: _UnmarshalledLambdaFunctionStartedEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionCompleted</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionCompletedEventAttributes?: _UnmarshalledLambdaFunctionCompletedEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionFailed</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionFailedEventAttributes?: _UnmarshalledLambdaFunctionFailedEventAttributes;
    /**
     * <p>Provides the details of the <code>LambdaFunctionTimedOut</code> event. It isn't set for other event types.</p>
     */
    lambdaFunctionTimedOutEventAttributes?: _UnmarshalledLambdaFunctionTimedOutEventAttributes;
    /**
     * <p>Provides the details of the <code>ScheduleLambdaFunctionFailed</code> event. It isn't set for other event types.</p>
     */
    scheduleLambdaFunctionFailedEventAttributes?: _UnmarshalledScheduleLambdaFunctionFailedEventAttributes;
    /**
     * <p>Provides the details of the <code>StartLambdaFunctionFailed</code> event. It isn't set for other event types.</p>
     */
    startLambdaFunctionFailedEventAttributes?: _UnmarshalledStartLambdaFunctionFailedEventAttributes;
}
