/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CountPendingActivityTasksInput } from "../types/CountPendingActivityTasksInput";
import { CountPendingActivityTasksOutput } from "../types/CountPendingActivityTasksOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/CountPendingActivityTasksInput";
export * from "../types/CountPendingActivityTasksOutput";
export * from "../types/CountPendingActivityTasksExceptionsUnion";
export declare class CountPendingActivityTasksCommand implements __aws_sdk_types.Command<InputTypesUnion, CountPendingActivityTasksInput, OutputTypesUnion, CountPendingActivityTasksOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: CountPendingActivityTasksInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CountPendingActivityTasksInput, CountPendingActivityTasksOutput, _stream.Readable>;
    constructor(input: CountPendingActivityTasksInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<CountPendingActivityTasksInput, CountPendingActivityTasksOutput>;
}
