/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeprecateActivityTypeInput } from "../types/DeprecateActivityTypeInput";
import { DeprecateActivityTypeOutput } from "../types/DeprecateActivityTypeOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/DeprecateActivityTypeInput";
export * from "../types/DeprecateActivityTypeOutput";
export * from "../types/DeprecateActivityTypeExceptionsUnion";
export declare class DeprecateActivityTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, DeprecateActivityTypeInput, OutputTypesUnion, DeprecateActivityTypeOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: DeprecateActivityTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeprecateActivityTypeInput, DeprecateActivityTypeOutput, _stream.Readable>;
    constructor(input: DeprecateActivityTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<DeprecateActivityTypeInput, DeprecateActivityTypeOutput>;
}
