"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeprecateActivityType_1 = require("../model/operations/DeprecateActivityType");
var DeprecateActivityTypeCommand = /** @class */ (function () {
    function DeprecateActivityTypeCommand(input) {
        this.input = input;
        this.model = DeprecateActivityType_1.DeprecateActivityType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeprecateActivityTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeprecateActivityTypeCommand;
}());
exports.DeprecateActivityTypeCommand = DeprecateActivityTypeCommand;
//# sourceMappingURL=DeprecateActivityTypeCommand.js.map