/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeprecateDomainInput } from "../types/DeprecateDomainInput";
import { DeprecateDomainOutput } from "../types/DeprecateDomainOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/DeprecateDomainInput";
export * from "../types/DeprecateDomainOutput";
export * from "../types/DeprecateDomainExceptionsUnion";
export declare class DeprecateDomainCommand implements __aws_sdk_types.Command<InputTypesUnion, DeprecateDomainInput, OutputTypesUnion, DeprecateDomainOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: DeprecateDomainInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeprecateDomainInput, DeprecateDomainOutput, _stream.Readable>;
    constructor(input: DeprecateDomainInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<DeprecateDomainInput, DeprecateDomainOutput>;
}
