/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeActivityTypeInput } from "../types/DescribeActivityTypeInput";
import { DescribeActivityTypeOutput } from "../types/DescribeActivityTypeOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/DescribeActivityTypeInput";
export * from "../types/DescribeActivityTypeOutput";
export * from "../types/DescribeActivityTypeExceptionsUnion";
export declare class DescribeActivityTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeActivityTypeInput, OutputTypesUnion, DescribeActivityTypeOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeActivityTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeActivityTypeInput, DescribeActivityTypeOutput, _stream.Readable>;
    constructor(input: DescribeActivityTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<DescribeActivityTypeInput, DescribeActivityTypeOutput>;
}
