/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDomainInput } from "../types/DescribeDomainInput";
import { DescribeDomainOutput } from "../types/DescribeDomainOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/DescribeDomainInput";
export * from "../types/DescribeDomainOutput";
export * from "../types/DescribeDomainExceptionsUnion";
export declare class DescribeDomainCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDomainInput, OutputTypesUnion, DescribeDomainOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDomainInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDomainInput, DescribeDomainOutput, _stream.Readable>;
    constructor(input: DescribeDomainInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<DescribeDomainInput, DescribeDomainOutput>;
}
