/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeWorkflowExecutionInput } from "../types/DescribeWorkflowExecutionInput";
import { DescribeWorkflowExecutionOutput } from "../types/DescribeWorkflowExecutionOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/DescribeWorkflowExecutionInput";
export * from "../types/DescribeWorkflowExecutionOutput";
export * from "../types/DescribeWorkflowExecutionExceptionsUnion";
export declare class DescribeWorkflowExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeWorkflowExecutionInput, OutputTypesUnion, DescribeWorkflowExecutionOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeWorkflowExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeWorkflowExecutionInput, DescribeWorkflowExecutionOutput, _stream.Readable>;
    constructor(input: DescribeWorkflowExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<DescribeWorkflowExecutionInput, DescribeWorkflowExecutionOutput>;
}
