/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetWorkflowExecutionHistoryInput } from "../types/GetWorkflowExecutionHistoryInput";
import { GetWorkflowExecutionHistoryOutput } from "../types/GetWorkflowExecutionHistoryOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/GetWorkflowExecutionHistoryInput";
export * from "../types/GetWorkflowExecutionHistoryOutput";
export * from "../types/GetWorkflowExecutionHistoryExceptionsUnion";
export declare class GetWorkflowExecutionHistoryCommand implements __aws_sdk_types.Command<InputTypesUnion, GetWorkflowExecutionHistoryInput, OutputTypesUnion, GetWorkflowExecutionHistoryOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: GetWorkflowExecutionHistoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetWorkflowExecutionHistoryInput, GetWorkflowExecutionHistoryOutput, _stream.Readable>;
    constructor(input: GetWorkflowExecutionHistoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<GetWorkflowExecutionHistoryInput, GetWorkflowExecutionHistoryOutput>;
}
