/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RecordActivityTaskHeartbeatInput } from "../types/RecordActivityTaskHeartbeatInput";
import { RecordActivityTaskHeartbeatOutput } from "../types/RecordActivityTaskHeartbeatOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/RecordActivityTaskHeartbeatInput";
export * from "../types/RecordActivityTaskHeartbeatOutput";
export * from "../types/RecordActivityTaskHeartbeatExceptionsUnion";
export declare class RecordActivityTaskHeartbeatCommand implements __aws_sdk_types.Command<InputTypesUnion, RecordActivityTaskHeartbeatInput, OutputTypesUnion, RecordActivityTaskHeartbeatOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: RecordActivityTaskHeartbeatInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RecordActivityTaskHeartbeatInput, RecordActivityTaskHeartbeatOutput, _stream.Readable>;
    constructor(input: RecordActivityTaskHeartbeatInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<RecordActivityTaskHeartbeatInput, RecordActivityTaskHeartbeatOutput>;
}
