/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterDomainInput } from "../types/RegisterDomainInput";
import { RegisterDomainOutput } from "../types/RegisterDomainOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/RegisterDomainInput";
export * from "../types/RegisterDomainOutput";
export * from "../types/RegisterDomainExceptionsUnion";
export declare class RegisterDomainCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterDomainInput, OutputTypesUnion, RegisterDomainOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: RegisterDomainInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterDomainInput, RegisterDomainOutput, _stream.Readable>;
    constructor(input: RegisterDomainInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<RegisterDomainInput, RegisterDomainOutput>;
}
