/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterWorkflowTypeInput } from "../types/RegisterWorkflowTypeInput";
import { RegisterWorkflowTypeOutput } from "../types/RegisterWorkflowTypeOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/RegisterWorkflowTypeInput";
export * from "../types/RegisterWorkflowTypeOutput";
export * from "../types/RegisterWorkflowTypeExceptionsUnion";
export declare class RegisterWorkflowTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterWorkflowTypeInput, OutputTypesUnion, RegisterWorkflowTypeOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: RegisterWorkflowTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterWorkflowTypeInput, RegisterWorkflowTypeOutput, _stream.Readable>;
    constructor(input: RegisterWorkflowTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<RegisterWorkflowTypeInput, RegisterWorkflowTypeOutput>;
}
