/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RespondActivityTaskFailedInput } from "../types/RespondActivityTaskFailedInput";
import { RespondActivityTaskFailedOutput } from "../types/RespondActivityTaskFailedOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/RespondActivityTaskFailedInput";
export * from "../types/RespondActivityTaskFailedOutput";
export * from "../types/RespondActivityTaskFailedExceptionsUnion";
export declare class RespondActivityTaskFailedCommand implements __aws_sdk_types.Command<InputTypesUnion, RespondActivityTaskFailedInput, OutputTypesUnion, RespondActivityTaskFailedOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: RespondActivityTaskFailedInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RespondActivityTaskFailedInput, RespondActivityTaskFailedOutput, _stream.Readable>;
    constructor(input: RespondActivityTaskFailedInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<RespondActivityTaskFailedInput, RespondActivityTaskFailedOutput>;
}
