/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UndeprecateActivityTypeInput } from "../types/UndeprecateActivityTypeInput";
import { UndeprecateActivityTypeOutput } from "../types/UndeprecateActivityTypeOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/UndeprecateActivityTypeInput";
export * from "../types/UndeprecateActivityTypeOutput";
export * from "../types/UndeprecateActivityTypeExceptionsUnion";
export declare class UndeprecateActivityTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, UndeprecateActivityTypeInput, OutputTypesUnion, UndeprecateActivityTypeOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: UndeprecateActivityTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UndeprecateActivityTypeInput, UndeprecateActivityTypeOutput, _stream.Readable>;
    constructor(input: UndeprecateActivityTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<UndeprecateActivityTypeInput, UndeprecateActivityTypeOutput>;
}
