"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UndeprecateActivityType_1 = require("../model/operations/UndeprecateActivityType");
var UndeprecateActivityTypeCommand = /** @class */ (function () {
    function UndeprecateActivityTypeCommand(input) {
        this.input = input;
        this.model = UndeprecateActivityType_1.UndeprecateActivityType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UndeprecateActivityTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UndeprecateActivityTypeCommand;
}());
exports.UndeprecateActivityTypeCommand = UndeprecateActivityTypeCommand;
//# sourceMappingURL=UndeprecateActivityTypeCommand.js.map