/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UndeprecateDomainInput } from "../types/UndeprecateDomainInput";
import { UndeprecateDomainOutput } from "../types/UndeprecateDomainOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/UndeprecateDomainInput";
export * from "../types/UndeprecateDomainOutput";
export * from "../types/UndeprecateDomainExceptionsUnion";
export declare class UndeprecateDomainCommand implements __aws_sdk_types.Command<InputTypesUnion, UndeprecateDomainInput, OutputTypesUnion, UndeprecateDomainOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: UndeprecateDomainInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UndeprecateDomainInput, UndeprecateDomainOutput, _stream.Readable>;
    constructor(input: UndeprecateDomainInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<UndeprecateDomainInput, UndeprecateDomainOutput>;
}
