/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UntagResourceInput } from "../types/UntagResourceInput";
import { UntagResourceOutput } from "../types/UntagResourceOutput";
import { SWFResolvedConfiguration } from "../SWFConfiguration";
export * from "../types/UntagResourceInput";
export * from "../types/UntagResourceOutput";
export * from "../types/UntagResourceExceptionsUnion";
export declare class UntagResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, UntagResourceInput, OutputTypesUnion, UntagResourceOutput, SWFResolvedConfiguration, _stream.Readable> {
    readonly input: UntagResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UntagResourceInput, UntagResourceOutput, _stream.Readable>;
    constructor(input: UntagResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SWFResolvedConfiguration): __aws_sdk_types.Handler<UntagResourceInput, UntagResourceOutput>;
}
