"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CountClosedWorkflowExecutionsInput_1 = require("../shapes/CountClosedWorkflowExecutionsInput");
var CountClosedWorkflowExecutionsOutput_1 = require("../shapes/CountClosedWorkflowExecutionsOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CountClosedWorkflowExecutions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CountClosedWorkflowExecutions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CountClosedWorkflowExecutionsInput_1.CountClosedWorkflowExecutionsInput
    },
    output: {
        shape: CountClosedWorkflowExecutionsOutput_1.CountClosedWorkflowExecutionsOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=CountClosedWorkflowExecutions.js.map