"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CountOpenWorkflowExecutionsInput_1 = require("../shapes/CountOpenWorkflowExecutionsInput");
var CountOpenWorkflowExecutionsOutput_1 = require("../shapes/CountOpenWorkflowExecutionsOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CountOpenWorkflowExecutions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CountOpenWorkflowExecutions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CountOpenWorkflowExecutionsInput_1.CountOpenWorkflowExecutionsInput
    },
    output: {
        shape: CountOpenWorkflowExecutionsOutput_1.CountOpenWorkflowExecutionsOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=CountOpenWorkflowExecutions.js.map