"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CountPendingDecisionTasksInput_1 = require("../shapes/CountPendingDecisionTasksInput");
var CountPendingDecisionTasksOutput_1 = require("../shapes/CountPendingDecisionTasksOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CountPendingDecisionTasks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CountPendingDecisionTasks",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CountPendingDecisionTasksInput_1.CountPendingDecisionTasksInput
    },
    output: {
        shape: CountPendingDecisionTasksOutput_1.CountPendingDecisionTasksOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=CountPendingDecisionTasks.js.map