"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RespondActivityTaskCompletedInput_1 = require("../shapes/RespondActivityTaskCompletedInput");
var RespondActivityTaskCompletedOutput_1 = require("../shapes/RespondActivityTaskCompletedOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RespondActivityTaskCompleted = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RespondActivityTaskCompleted",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RespondActivityTaskCompletedInput_1.RespondActivityTaskCompletedInput
    },
    output: {
        shape: RespondActivityTaskCompletedOutput_1.RespondActivityTaskCompletedOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=RespondActivityTaskCompleted.js.map