"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ExecutionTimeFilter_1 = require("./_ExecutionTimeFilter");
var _WorkflowExecutionFilter_1 = require("./_WorkflowExecutionFilter");
var _WorkflowTypeFilter_1 = require("./_WorkflowTypeFilter");
var _TagFilter_1 = require("./_TagFilter");
var _CloseStatusFilter_1 = require("./_CloseStatusFilter");
exports.CountClosedWorkflowExecutionsInput = {
    type: "structure",
    required: ["domain"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        startTimeFilter: {
            shape: _ExecutionTimeFilter_1._ExecutionTimeFilter
        },
        closeTimeFilter: {
            shape: _ExecutionTimeFilter_1._ExecutionTimeFilter
        },
        executionFilter: {
            shape: _WorkflowExecutionFilter_1._WorkflowExecutionFilter
        },
        typeFilter: {
            shape: _WorkflowTypeFilter_1._WorkflowTypeFilter
        },
        tagFilter: {
            shape: _TagFilter_1._TagFilter
        },
        closeStatusFilter: {
            shape: _CloseStatusFilter_1._CloseStatusFilter
        }
    }
};
//# sourceMappingURL=CountClosedWorkflowExecutionsInput.js.map