"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ExecutionTimeFilter_1 = require("./_ExecutionTimeFilter");
var _WorkflowTypeFilter_1 = require("./_WorkflowTypeFilter");
var _TagFilter_1 = require("./_TagFilter");
var _WorkflowExecutionFilter_1 = require("./_WorkflowExecutionFilter");
exports.CountOpenWorkflowExecutionsInput = {
    type: "structure",
    required: ["domain", "startTimeFilter"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        startTimeFilter: {
            shape: _ExecutionTimeFilter_1._ExecutionTimeFilter
        },
        typeFilter: {
            shape: _WorkflowTypeFilter_1._WorkflowTypeFilter
        },
        tagFilter: {
            shape: _TagFilter_1._TagFilter
        },
        executionFilter: {
            shape: _WorkflowExecutionFilter_1._WorkflowExecutionFilter
        }
    }
};
//# sourceMappingURL=CountOpenWorkflowExecutionsInput.js.map