"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TaskList_1 = require("./_TaskList");
exports.PollForDecisionTaskInput = {
    type: "structure",
    required: ["domain", "taskList"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        taskList: {
            shape: _TaskList_1._TaskList
        },
        identity: {
            shape: {
                type: "string"
            }
        },
        nextPageToken: {
            shape: {
                type: "string"
            }
        },
        maximumPageSize: {
            shape: {
                type: "integer"
            }
        },
        reverseOrder: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=PollForDecisionTaskInput.js.map