"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ResourceTagList_1 = require("./_ResourceTagList");
exports.RegisterDomainInput = {
    type: "structure",
    required: ["name", "workflowExecutionRetentionPeriodInDays"],
    members: {
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        workflowExecutionRetentionPeriodInDays: {
            shape: {
                type: "string",
                min: 1
            }
        },
        tags: {
            shape: _ResourceTagList_1._ResourceTagList
        }
    }
};
//# sourceMappingURL=RegisterDomainInput.js.map