"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TaskList_1 = require("./_TaskList");
exports.RegisterWorkflowTypeInput = {
    type: "structure",
    required: ["domain", "name", "version"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        version: {
            shape: {
                type: "string",
                min: 1
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        defaultTaskStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        defaultExecutionStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        defaultTaskList: {
            shape: _TaskList_1._TaskList
        },
        defaultTaskPriority: {
            shape: {
                type: "string"
            }
        },
        defaultChildPolicy: {
            shape: {
                type: "string"
            }
        },
        defaultLambdaRole: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=RegisterWorkflowTypeInput.js.map