"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SignalWorkflowExecutionInput = {
    type: "structure",
    required: ["domain", "workflowId", "signalName"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        workflowId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        runId: {
            shape: {
                type: "string"
            }
        },
        signalName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        input: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=SignalWorkflowExecutionInput.js.map