"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TaskList_1 = require("./_TaskList");
var _TagList_1 = require("./_TagList");
exports._ContinueAsNewWorkflowExecutionDecisionAttributes = {
    type: "structure",
    required: [],
    members: {
        input: {
            shape: {
                type: "string"
            }
        },
        executionStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        taskList: {
            shape: _TaskList_1._TaskList
        },
        taskPriority: {
            shape: {
                type: "string"
            }
        },
        taskStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        childPolicy: {
            shape: {
                type: "string"
            }
        },
        tagList: {
            shape: _TagList_1._TagList
        },
        workflowTypeVersion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        lambdaRole: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_ContinueAsNewWorkflowExecutionDecisionAttributes.js.map