"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ScheduleActivityTaskDecisionAttributes_1 = require("./_ScheduleActivityTaskDecisionAttributes");
var _RequestCancelActivityTaskDecisionAttributes_1 = require("./_RequestCancelActivityTaskDecisionAttributes");
var _CompleteWorkflowExecutionDecisionAttributes_1 = require("./_CompleteWorkflowExecutionDecisionAttributes");
var _FailWorkflowExecutionDecisionAttributes_1 = require("./_FailWorkflowExecutionDecisionAttributes");
var _CancelWorkflowExecutionDecisionAttributes_1 = require("./_CancelWorkflowExecutionDecisionAttributes");
var _ContinueAsNewWorkflowExecutionDecisionAttributes_1 = require("./_ContinueAsNewWorkflowExecutionDecisionAttributes");
var _RecordMarkerDecisionAttributes_1 = require("./_RecordMarkerDecisionAttributes");
var _StartTimerDecisionAttributes_1 = require("./_StartTimerDecisionAttributes");
var _CancelTimerDecisionAttributes_1 = require("./_CancelTimerDecisionAttributes");
var _SignalExternalWorkflowExecutionDecisionAttributes_1 = require("./_SignalExternalWorkflowExecutionDecisionAttributes");
var _RequestCancelExternalWorkflowExecutionDecisionAttributes_1 = require("./_RequestCancelExternalWorkflowExecutionDecisionAttributes");
var _StartChildWorkflowExecutionDecisionAttributes_1 = require("./_StartChildWorkflowExecutionDecisionAttributes");
var _ScheduleLambdaFunctionDecisionAttributes_1 = require("./_ScheduleLambdaFunctionDecisionAttributes");
exports._Decision = {
    type: "structure",
    required: ["decisionType"],
    members: {
        decisionType: {
            shape: {
                type: "string"
            }
        },
        scheduleActivityTaskDecisionAttributes: {
            shape: _ScheduleActivityTaskDecisionAttributes_1._ScheduleActivityTaskDecisionAttributes
        },
        requestCancelActivityTaskDecisionAttributes: {
            shape: _RequestCancelActivityTaskDecisionAttributes_1._RequestCancelActivityTaskDecisionAttributes
        },
        completeWorkflowExecutionDecisionAttributes: {
            shape: _CompleteWorkflowExecutionDecisionAttributes_1._CompleteWorkflowExecutionDecisionAttributes
        },
        failWorkflowExecutionDecisionAttributes: {
            shape: _FailWorkflowExecutionDecisionAttributes_1._FailWorkflowExecutionDecisionAttributes
        },
        cancelWorkflowExecutionDecisionAttributes: {
            shape: _CancelWorkflowExecutionDecisionAttributes_1._CancelWorkflowExecutionDecisionAttributes
        },
        continueAsNewWorkflowExecutionDecisionAttributes: {
            shape: _ContinueAsNewWorkflowExecutionDecisionAttributes_1._ContinueAsNewWorkflowExecutionDecisionAttributes
        },
        recordMarkerDecisionAttributes: {
            shape: _RecordMarkerDecisionAttributes_1._RecordMarkerDecisionAttributes
        },
        startTimerDecisionAttributes: {
            shape: _StartTimerDecisionAttributes_1._StartTimerDecisionAttributes
        },
        cancelTimerDecisionAttributes: {
            shape: _CancelTimerDecisionAttributes_1._CancelTimerDecisionAttributes
        },
        signalExternalWorkflowExecutionDecisionAttributes: {
            shape: _SignalExternalWorkflowExecutionDecisionAttributes_1._SignalExternalWorkflowExecutionDecisionAttributes
        },
        requestCancelExternalWorkflowExecutionDecisionAttributes: {
            shape: _RequestCancelExternalWorkflowExecutionDecisionAttributes_1._RequestCancelExternalWorkflowExecutionDecisionAttributes
        },
        startChildWorkflowExecutionDecisionAttributes: {
            shape: _StartChildWorkflowExecutionDecisionAttributes_1._StartChildWorkflowExecutionDecisionAttributes
        },
        scheduleLambdaFunctionDecisionAttributes: {
            shape: _ScheduleLambdaFunctionDecisionAttributes_1._ScheduleLambdaFunctionDecisionAttributes
        }
    }
};
//# sourceMappingURL=_Decision.js.map