"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowExecutionStartedEventAttributes_1 = require("./_WorkflowExecutionStartedEventAttributes");
var _WorkflowExecutionCompletedEventAttributes_1 = require("./_WorkflowExecutionCompletedEventAttributes");
var _CompleteWorkflowExecutionFailedEventAttributes_1 = require("./_CompleteWorkflowExecutionFailedEventAttributes");
var _WorkflowExecutionFailedEventAttributes_1 = require("./_WorkflowExecutionFailedEventAttributes");
var _FailWorkflowExecutionFailedEventAttributes_1 = require("./_FailWorkflowExecutionFailedEventAttributes");
var _WorkflowExecutionTimedOutEventAttributes_1 = require("./_WorkflowExecutionTimedOutEventAttributes");
var _WorkflowExecutionCanceledEventAttributes_1 = require("./_WorkflowExecutionCanceledEventAttributes");
var _CancelWorkflowExecutionFailedEventAttributes_1 = require("./_CancelWorkflowExecutionFailedEventAttributes");
var _WorkflowExecutionContinuedAsNewEventAttributes_1 = require("./_WorkflowExecutionContinuedAsNewEventAttributes");
var _ContinueAsNewWorkflowExecutionFailedEventAttributes_1 = require("./_ContinueAsNewWorkflowExecutionFailedEventAttributes");
var _WorkflowExecutionTerminatedEventAttributes_1 = require("./_WorkflowExecutionTerminatedEventAttributes");
var _WorkflowExecutionCancelRequestedEventAttributes_1 = require("./_WorkflowExecutionCancelRequestedEventAttributes");
var _DecisionTaskScheduledEventAttributes_1 = require("./_DecisionTaskScheduledEventAttributes");
var _DecisionTaskStartedEventAttributes_1 = require("./_DecisionTaskStartedEventAttributes");
var _DecisionTaskCompletedEventAttributes_1 = require("./_DecisionTaskCompletedEventAttributes");
var _DecisionTaskTimedOutEventAttributes_1 = require("./_DecisionTaskTimedOutEventAttributes");
var _ActivityTaskScheduledEventAttributes_1 = require("./_ActivityTaskScheduledEventAttributes");
var _ActivityTaskStartedEventAttributes_1 = require("./_ActivityTaskStartedEventAttributes");
var _ActivityTaskCompletedEventAttributes_1 = require("./_ActivityTaskCompletedEventAttributes");
var _ActivityTaskFailedEventAttributes_1 = require("./_ActivityTaskFailedEventAttributes");
var _ActivityTaskTimedOutEventAttributes_1 = require("./_ActivityTaskTimedOutEventAttributes");
var _ActivityTaskCanceledEventAttributes_1 = require("./_ActivityTaskCanceledEventAttributes");
var _ActivityTaskCancelRequestedEventAttributes_1 = require("./_ActivityTaskCancelRequestedEventAttributes");
var _WorkflowExecutionSignaledEventAttributes_1 = require("./_WorkflowExecutionSignaledEventAttributes");
var _MarkerRecordedEventAttributes_1 = require("./_MarkerRecordedEventAttributes");
var _RecordMarkerFailedEventAttributes_1 = require("./_RecordMarkerFailedEventAttributes");
var _TimerStartedEventAttributes_1 = require("./_TimerStartedEventAttributes");
var _TimerFiredEventAttributes_1 = require("./_TimerFiredEventAttributes");
var _TimerCanceledEventAttributes_1 = require("./_TimerCanceledEventAttributes");
var _StartChildWorkflowExecutionInitiatedEventAttributes_1 = require("./_StartChildWorkflowExecutionInitiatedEventAttributes");
var _ChildWorkflowExecutionStartedEventAttributes_1 = require("./_ChildWorkflowExecutionStartedEventAttributes");
var _ChildWorkflowExecutionCompletedEventAttributes_1 = require("./_ChildWorkflowExecutionCompletedEventAttributes");
var _ChildWorkflowExecutionFailedEventAttributes_1 = require("./_ChildWorkflowExecutionFailedEventAttributes");
var _ChildWorkflowExecutionTimedOutEventAttributes_1 = require("./_ChildWorkflowExecutionTimedOutEventAttributes");
var _ChildWorkflowExecutionCanceledEventAttributes_1 = require("./_ChildWorkflowExecutionCanceledEventAttributes");
var _ChildWorkflowExecutionTerminatedEventAttributes_1 = require("./_ChildWorkflowExecutionTerminatedEventAttributes");
var _SignalExternalWorkflowExecutionInitiatedEventAttributes_1 = require("./_SignalExternalWorkflowExecutionInitiatedEventAttributes");
var _ExternalWorkflowExecutionSignaledEventAttributes_1 = require("./_ExternalWorkflowExecutionSignaledEventAttributes");
var _SignalExternalWorkflowExecutionFailedEventAttributes_1 = require("./_SignalExternalWorkflowExecutionFailedEventAttributes");
var _ExternalWorkflowExecutionCancelRequestedEventAttributes_1 = require("./_ExternalWorkflowExecutionCancelRequestedEventAttributes");
var _RequestCancelExternalWorkflowExecutionInitiatedEventAttributes_1 = require("./_RequestCancelExternalWorkflowExecutionInitiatedEventAttributes");
var _RequestCancelExternalWorkflowExecutionFailedEventAttributes_1 = require("./_RequestCancelExternalWorkflowExecutionFailedEventAttributes");
var _ScheduleActivityTaskFailedEventAttributes_1 = require("./_ScheduleActivityTaskFailedEventAttributes");
var _RequestCancelActivityTaskFailedEventAttributes_1 = require("./_RequestCancelActivityTaskFailedEventAttributes");
var _StartTimerFailedEventAttributes_1 = require("./_StartTimerFailedEventAttributes");
var _CancelTimerFailedEventAttributes_1 = require("./_CancelTimerFailedEventAttributes");
var _StartChildWorkflowExecutionFailedEventAttributes_1 = require("./_StartChildWorkflowExecutionFailedEventAttributes");
var _LambdaFunctionScheduledEventAttributes_1 = require("./_LambdaFunctionScheduledEventAttributes");
var _LambdaFunctionStartedEventAttributes_1 = require("./_LambdaFunctionStartedEventAttributes");
var _LambdaFunctionCompletedEventAttributes_1 = require("./_LambdaFunctionCompletedEventAttributes");
var _LambdaFunctionFailedEventAttributes_1 = require("./_LambdaFunctionFailedEventAttributes");
var _LambdaFunctionTimedOutEventAttributes_1 = require("./_LambdaFunctionTimedOutEventAttributes");
var _ScheduleLambdaFunctionFailedEventAttributes_1 = require("./_ScheduleLambdaFunctionFailedEventAttributes");
var _StartLambdaFunctionFailedEventAttributes_1 = require("./_StartLambdaFunctionFailedEventAttributes");
exports._HistoryEvent = {
    type: "structure",
    required: ["eventTimestamp", "eventType", "eventId"],
    members: {
        eventTimestamp: {
            shape: {
                type: "timestamp"
            }
        },
        eventType: {
            shape: {
                type: "string"
            }
        },
        eventId: {
            shape: {
                type: "integer"
            }
        },
        workflowExecutionStartedEventAttributes: {
            shape: _WorkflowExecutionStartedEventAttributes_1._WorkflowExecutionStartedEventAttributes
        },
        workflowExecutionCompletedEventAttributes: {
            shape: _WorkflowExecutionCompletedEventAttributes_1._WorkflowExecutionCompletedEventAttributes
        },
        completeWorkflowExecutionFailedEventAttributes: {
            shape: _CompleteWorkflowExecutionFailedEventAttributes_1._CompleteWorkflowExecutionFailedEventAttributes
        },
        workflowExecutionFailedEventAttributes: {
            shape: _WorkflowExecutionFailedEventAttributes_1._WorkflowExecutionFailedEventAttributes
        },
        failWorkflowExecutionFailedEventAttributes: {
            shape: _FailWorkflowExecutionFailedEventAttributes_1._FailWorkflowExecutionFailedEventAttributes
        },
        workflowExecutionTimedOutEventAttributes: {
            shape: _WorkflowExecutionTimedOutEventAttributes_1._WorkflowExecutionTimedOutEventAttributes
        },
        workflowExecutionCanceledEventAttributes: {
            shape: _WorkflowExecutionCanceledEventAttributes_1._WorkflowExecutionCanceledEventAttributes
        },
        cancelWorkflowExecutionFailedEventAttributes: {
            shape: _CancelWorkflowExecutionFailedEventAttributes_1._CancelWorkflowExecutionFailedEventAttributes
        },
        workflowExecutionContinuedAsNewEventAttributes: {
            shape: _WorkflowExecutionContinuedAsNewEventAttributes_1._WorkflowExecutionContinuedAsNewEventAttributes
        },
        continueAsNewWorkflowExecutionFailedEventAttributes: {
            shape: _ContinueAsNewWorkflowExecutionFailedEventAttributes_1._ContinueAsNewWorkflowExecutionFailedEventAttributes
        },
        workflowExecutionTerminatedEventAttributes: {
            shape: _WorkflowExecutionTerminatedEventAttributes_1._WorkflowExecutionTerminatedEventAttributes
        },
        workflowExecutionCancelRequestedEventAttributes: {
            shape: _WorkflowExecutionCancelRequestedEventAttributes_1._WorkflowExecutionCancelRequestedEventAttributes
        },
        decisionTaskScheduledEventAttributes: {
            shape: _DecisionTaskScheduledEventAttributes_1._DecisionTaskScheduledEventAttributes
        },
        decisionTaskStartedEventAttributes: {
            shape: _DecisionTaskStartedEventAttributes_1._DecisionTaskStartedEventAttributes
        },
        decisionTaskCompletedEventAttributes: {
            shape: _DecisionTaskCompletedEventAttributes_1._DecisionTaskCompletedEventAttributes
        },
        decisionTaskTimedOutEventAttributes: {
            shape: _DecisionTaskTimedOutEventAttributes_1._DecisionTaskTimedOutEventAttributes
        },
        activityTaskScheduledEventAttributes: {
            shape: _ActivityTaskScheduledEventAttributes_1._ActivityTaskScheduledEventAttributes
        },
        activityTaskStartedEventAttributes: {
            shape: _ActivityTaskStartedEventAttributes_1._ActivityTaskStartedEventAttributes
        },
        activityTaskCompletedEventAttributes: {
            shape: _ActivityTaskCompletedEventAttributes_1._ActivityTaskCompletedEventAttributes
        },
        activityTaskFailedEventAttributes: {
            shape: _ActivityTaskFailedEventAttributes_1._ActivityTaskFailedEventAttributes
        },
        activityTaskTimedOutEventAttributes: {
            shape: _ActivityTaskTimedOutEventAttributes_1._ActivityTaskTimedOutEventAttributes
        },
        activityTaskCanceledEventAttributes: {
            shape: _ActivityTaskCanceledEventAttributes_1._ActivityTaskCanceledEventAttributes
        },
        activityTaskCancelRequestedEventAttributes: {
            shape: _ActivityTaskCancelRequestedEventAttributes_1._ActivityTaskCancelRequestedEventAttributes
        },
        workflowExecutionSignaledEventAttributes: {
            shape: _WorkflowExecutionSignaledEventAttributes_1._WorkflowExecutionSignaledEventAttributes
        },
        markerRecordedEventAttributes: {
            shape: _MarkerRecordedEventAttributes_1._MarkerRecordedEventAttributes
        },
        recordMarkerFailedEventAttributes: {
            shape: _RecordMarkerFailedEventAttributes_1._RecordMarkerFailedEventAttributes
        },
        timerStartedEventAttributes: {
            shape: _TimerStartedEventAttributes_1._TimerStartedEventAttributes
        },
        timerFiredEventAttributes: {
            shape: _TimerFiredEventAttributes_1._TimerFiredEventAttributes
        },
        timerCanceledEventAttributes: {
            shape: _TimerCanceledEventAttributes_1._TimerCanceledEventAttributes
        },
        startChildWorkflowExecutionInitiatedEventAttributes: {
            shape: _StartChildWorkflowExecutionInitiatedEventAttributes_1._StartChildWorkflowExecutionInitiatedEventAttributes
        },
        childWorkflowExecutionStartedEventAttributes: {
            shape: _ChildWorkflowExecutionStartedEventAttributes_1._ChildWorkflowExecutionStartedEventAttributes
        },
        childWorkflowExecutionCompletedEventAttributes: {
            shape: _ChildWorkflowExecutionCompletedEventAttributes_1._ChildWorkflowExecutionCompletedEventAttributes
        },
        childWorkflowExecutionFailedEventAttributes: {
            shape: _ChildWorkflowExecutionFailedEventAttributes_1._ChildWorkflowExecutionFailedEventAttributes
        },
        childWorkflowExecutionTimedOutEventAttributes: {
            shape: _ChildWorkflowExecutionTimedOutEventAttributes_1._ChildWorkflowExecutionTimedOutEventAttributes
        },
        childWorkflowExecutionCanceledEventAttributes: {
            shape: _ChildWorkflowExecutionCanceledEventAttributes_1._ChildWorkflowExecutionCanceledEventAttributes
        },
        childWorkflowExecutionTerminatedEventAttributes: {
            shape: _ChildWorkflowExecutionTerminatedEventAttributes_1._ChildWorkflowExecutionTerminatedEventAttributes
        },
        signalExternalWorkflowExecutionInitiatedEventAttributes: {
            shape: _SignalExternalWorkflowExecutionInitiatedEventAttributes_1._SignalExternalWorkflowExecutionInitiatedEventAttributes
        },
        externalWorkflowExecutionSignaledEventAttributes: {
            shape: _ExternalWorkflowExecutionSignaledEventAttributes_1._ExternalWorkflowExecutionSignaledEventAttributes
        },
        signalExternalWorkflowExecutionFailedEventAttributes: {
            shape: _SignalExternalWorkflowExecutionFailedEventAttributes_1._SignalExternalWorkflowExecutionFailedEventAttributes
        },
        externalWorkflowExecutionCancelRequestedEventAttributes: {
            shape: _ExternalWorkflowExecutionCancelRequestedEventAttributes_1._ExternalWorkflowExecutionCancelRequestedEventAttributes
        },
        requestCancelExternalWorkflowExecutionInitiatedEventAttributes: {
            shape: _RequestCancelExternalWorkflowExecutionInitiatedEventAttributes_1._RequestCancelExternalWorkflowExecutionInitiatedEventAttributes
        },
        requestCancelExternalWorkflowExecutionFailedEventAttributes: {
            shape: _RequestCancelExternalWorkflowExecutionFailedEventAttributes_1._RequestCancelExternalWorkflowExecutionFailedEventAttributes
        },
        scheduleActivityTaskFailedEventAttributes: {
            shape: _ScheduleActivityTaskFailedEventAttributes_1._ScheduleActivityTaskFailedEventAttributes
        },
        requestCancelActivityTaskFailedEventAttributes: {
            shape: _RequestCancelActivityTaskFailedEventAttributes_1._RequestCancelActivityTaskFailedEventAttributes
        },
        startTimerFailedEventAttributes: {
            shape: _StartTimerFailedEventAttributes_1._StartTimerFailedEventAttributes
        },
        cancelTimerFailedEventAttributes: {
            shape: _CancelTimerFailedEventAttributes_1._CancelTimerFailedEventAttributes
        },
        startChildWorkflowExecutionFailedEventAttributes: {
            shape: _StartChildWorkflowExecutionFailedEventAttributes_1._StartChildWorkflowExecutionFailedEventAttributes
        },
        lambdaFunctionScheduledEventAttributes: {
            shape: _LambdaFunctionScheduledEventAttributes_1._LambdaFunctionScheduledEventAttributes
        },
        lambdaFunctionStartedEventAttributes: {
            shape: _LambdaFunctionStartedEventAttributes_1._LambdaFunctionStartedEventAttributes
        },
        lambdaFunctionCompletedEventAttributes: {
            shape: _LambdaFunctionCompletedEventAttributes_1._LambdaFunctionCompletedEventAttributes
        },
        lambdaFunctionFailedEventAttributes: {
            shape: _LambdaFunctionFailedEventAttributes_1._LambdaFunctionFailedEventAttributes
        },
        lambdaFunctionTimedOutEventAttributes: {
            shape: _LambdaFunctionTimedOutEventAttributes_1._LambdaFunctionTimedOutEventAttributes
        },
        scheduleLambdaFunctionFailedEventAttributes: {
            shape: _ScheduleLambdaFunctionFailedEventAttributes_1._ScheduleLambdaFunctionFailedEventAttributes
        },
        startLambdaFunctionFailedEventAttributes: {
            shape: _StartLambdaFunctionFailedEventAttributes_1._StartLambdaFunctionFailedEventAttributes
        }
    }
};
//# sourceMappingURL=_HistoryEvent.js.map