"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActivityType_1 = require("./_ActivityType");
var _TaskList_1 = require("./_TaskList");
exports._ScheduleActivityTaskDecisionAttributes = {
    type: "structure",
    required: ["activityType", "activityId"],
    members: {
        activityType: {
            shape: _ActivityType_1._ActivityType
        },
        activityId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        control: {
            shape: {
                type: "string"
            }
        },
        input: {
            shape: {
                type: "string"
            }
        },
        scheduleToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        taskList: {
            shape: _TaskList_1._TaskList
        },
        taskPriority: {
            shape: {
                type: "string"
            }
        },
        scheduleToStartTimeout: {
            shape: {
                type: "string"
            }
        },
        startToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        heartbeatTimeout: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ScheduleActivityTaskDecisionAttributes.js.map