"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActivityType_1 = require("./_ActivityType");
exports._ScheduleActivityTaskFailedEventAttributes = {
    type: "structure",
    required: [
        "activityType",
        "activityId",
        "cause",
        "decisionTaskCompletedEventId"
    ],
    members: {
        activityType: {
            shape: _ActivityType_1._ActivityType
        },
        activityId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        cause: {
            shape: {
                type: "string"
            }
        },
        decisionTaskCompletedEventId: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_ScheduleActivityTaskFailedEventAttributes.js.map