"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowType_1 = require("./_WorkflowType");
exports._StartChildWorkflowExecutionFailedEventAttributes = {
    type: "structure",
    required: [
        "workflowType",
        "cause",
        "workflowId",
        "initiatedEventId",
        "decisionTaskCompletedEventId"
    ],
    members: {
        workflowType: {
            shape: _WorkflowType_1._WorkflowType
        },
        cause: {
            shape: {
                type: "string"
            }
        },
        workflowId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        initiatedEventId: {
            shape: {
                type: "integer"
            }
        },
        decisionTaskCompletedEventId: {
            shape: {
                type: "integer"
            }
        },
        control: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_StartChildWorkflowExecutionFailedEventAttributes.js.map