"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._TimerStartedEventAttributes = {
    type: "structure",
    required: ["timerId", "startToFireTimeout", "decisionTaskCompletedEventId"],
    members: {
        timerId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        control: {
            shape: {
                type: "string"
            }
        },
        startToFireTimeout: {
            shape: {
                type: "string",
                min: 1
            }
        },
        decisionTaskCompletedEventId: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_TimerStartedEventAttributes.js.map