"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WorkflowExecution_1 = require("./_WorkflowExecution");
var _WorkflowType_1 = require("./_WorkflowType");
var _TagList_1 = require("./_TagList");
exports._WorkflowExecutionInfo = {
    type: "structure",
    required: ["execution", "workflowType", "startTimestamp", "executionStatus"],
    members: {
        execution: {
            shape: _WorkflowExecution_1._WorkflowExecution
        },
        workflowType: {
            shape: _WorkflowType_1._WorkflowType
        },
        startTimestamp: {
            shape: {
                type: "timestamp"
            }
        },
        closeTimestamp: {
            shape: {
                type: "timestamp"
            }
        },
        executionStatus: {
            shape: {
                type: "string"
            }
        },
        closeStatus: {
            shape: {
                type: "string"
            }
        },
        parent: {
            shape: _WorkflowExecution_1._WorkflowExecution
        },
        tagList: {
            shape: _TagList_1._TagList
        },
        cancelRequested: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_WorkflowExecutionInfo.js.map