"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TaskList_1 = require("./_TaskList");
var _WorkflowType_1 = require("./_WorkflowType");
var _TagList_1 = require("./_TagList");
var _WorkflowExecution_1 = require("./_WorkflowExecution");
exports._WorkflowExecutionStartedEventAttributes = {
    type: "structure",
    required: ["childPolicy", "taskList", "workflowType"],
    members: {
        input: {
            shape: {
                type: "string"
            }
        },
        executionStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        taskStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        childPolicy: {
            shape: {
                type: "string"
            }
        },
        taskList: {
            shape: _TaskList_1._TaskList
        },
        taskPriority: {
            shape: {
                type: "string"
            }
        },
        workflowType: {
            shape: _WorkflowType_1._WorkflowType
        },
        tagList: {
            shape: _TagList_1._TagList
        },
        continuedExecutionRunId: {
            shape: {
                type: "string"
            }
        },
        parentWorkflowExecution: {
            shape: _WorkflowExecution_1._WorkflowExecution
        },
        parentInitiatedEventId: {
            shape: {
                type: "integer"
            }
        },
        lambdaRole: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_WorkflowExecutionStartedEventAttributes.js.map