"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TaskList_1 = require("./_TaskList");
exports._WorkflowTypeConfiguration = {
    type: "structure",
    required: [],
    members: {
        defaultTaskStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        defaultExecutionStartToCloseTimeout: {
            shape: {
                type: "string"
            }
        },
        defaultTaskList: {
            shape: _TaskList_1._TaskList
        },
        defaultTaskPriority: {
            shape: {
                type: "string"
            }
        },
        defaultChildPolicy: {
            shape: {
                type: "string"
            }
        },
        defaultLambdaRole: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_WorkflowTypeConfiguration.js.map